> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a software

> Delete ONE software from your company catalog and remove it from the fleet (uninstalling it from targeted devices). This is irreversible.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json delete /software/{softwareId}
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/{softwareId}:
    delete:
      tags:
        - Softwares
      summary: Delete a software
      description: >-
        Delete ONE software from your company catalog and remove it from the
        fleet (uninstalling it from targeted devices). This is irreversible.
      operationId: deleteSoftware
      parameters:
        - name: softwareId
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSoftwareResult_Output'
components:
  schemas:
    DeleteSoftwareResult_Output:
      type: object
      properties:
        success:
          type: boolean
          const: true
        message:
          type: string
          description: A human-readable description of the action
      required:
        - success
        - message
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````